Name:			gmrun
Version:		1.4w
Release:		%mkrel 1
Summary:		Lightweight "Run program" dialog box with search history and tab completion
Group:			Graphical desktop/Other
License:		GPLv2+
URL:			https://github.com/wdlkmpx/gmrun
Source0:		https://github.com/wdlkmpx/gmrun/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:		pkgconfig(popt)
BuildRequires:		pkgconfig(gtk+-3.0)
Requires:		xterm
Requires:		man
Requires:		info
Requires:		xdg-utils

%description
A simple GTK program which provides a "run program" window.
It features a bash-like TAB completion, Ctrl-R/Ctrl-S for 
searching through the history and URL handlers for any user defined
prefix.


%prep
%autosetup -p1

%build
./configure --prefix=%{_prefix} \
            --sysconfdir=%{_sysconfdir} \
            --enable nls
%make_build


%install
%make_install

%find_lang %{name}


%files -f %{name}.lang
%doc ChangeLog AUTHORS README.md
%license LICENSE
%{_sysconfdir}/gmrunrc
%{_bindir}/gmrun
%{_datadir}/applications/gmrun.desktop
%{_datadir}/pixmaps/gmrun.png
%{_mandir}/man1/gmrun.1.*


%changelog
* Fri Sep 27 2024 daviddavid <daviddavid> 1.4w-1.mga10
+ Revision: 2101611
- new version: 1.4w

* Sat Mar 26 2022 umeabot <umeabot> 0.9.2-9.mga9
+ Revision: 1828161
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.9.2-8.mga8
+ Revision: 1512563
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.2-7.mga7
+ Revision: 1297939
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 0.9.2-6.mga6
+ Revision: 939778
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-5.mga5
+ Revision: 745162
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-4.mga5
+ Revision: 679685
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.2-3.mga4
+ Revision: 505033
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.2-2.mga3
+ Revision: 351921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 06 2011 saispo <saispo> 0.9.2-1.mga1
+ Revision: 65210
- imported package gmrun

